Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77377 - Kernel 2.4.19-0.pp.4 unresolved symbol for TUX module
Summary: Kernel 2.4.19-0.pp.4 unresolved symbol for TUX module
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel
Version: 1.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-06 00:00 UTC by Allan Duncan
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-18 11:12:25 UTC


Attachments (Terms of Use)

Description Allan Duncan 2002-11-06 00:00:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021018

Description of problem:
For "2.4.19-rh4-rev" here, read "2.4.19-0.pp.4custom".

Compiling this rawhide release gives the following:

if [ -r System.map ]; then /sbin/depmod -ae -F System.map  2.4.19-rh4-rev; fi
depmod: *** Unresolved symbols in /lib/modules/2.4.19-rh4-rev/kernel/net/tux/tux.o
depmod:         sys_wait4
make: *** [_modinst_post] Error 1

With the relevant .config lines:

#
# Networking options
#
CONFIG_PACKET=y
CONFIG_PACKET_MMAP=y
CONFIG_NETLINK_DEV=y
CONFIG_NETFILTER=y
# CONFIG_NETFILTER_DEBUG is not set
CONFIG_FILTER=y
CONFIG_UNIX=y
CONFIG_INET=y
CONFIG_TUX=m
CONFIG_TUX_EXTCGI=y
# CONFIG_TUX_EXTENDED_LOG is not set
# CONFIG_TUX_DEBUG is not set

Compiler gcc-3.2-11

Turning off TUX makes it go away, as I presume making it built-in would (didn't
bother - not using this filter stuff at the moment).


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use the .config options given
2. make with usual rituals: dep clean bzImage modules modules_install
3.


Additional info:


Note You need to log in before you can comment on or make changes to this bug.